"""
Celery配置文件
"""
from celery import Celery
from app.config import Config

# 创建Celery实例
celery = Celery('app',
                broker=Config.CELERY_BROKER_URL,
                backend=Config.CELERY_RESULT_BACKEND,
                include=['app.tasks'])

# Celery配置
celery.conf.update(
    task_serializer='json',
    accept_content=['json'],
    result_serializer='json',
    timezone='Asia/Shanghai',
    enable_utc=True,
)
